<bugID>1225690<Summary>Add a SyncedTabs module to abstract away Sync internals.</Summary><Description>Created attachment 8688758
0003-Bug-XXXXXXX-implement-a-SyncedTabs-module-to-abstrac.patch

The new UI we are building around Synced Tabs could do with a helper module to abstract away the Sync internals. This module isn't particularly clever - it does no sorting or caching and returns simple data structures consumers can transform into what they desire.

This module also doesn't handle CloudSync - while it potentially could, I've no idea how to configure or test CloundSync. For this reason, about:sync-tabs has *not* been updated to use that module. Bug 1201331 is also removing all places where about:sync-tabs is exposed in the UI, so in effect, this means about:sync-tabs will end up as legacy UI just for CloudSync users.

Richard, it probably makes sense for you to defer the review to Zach, who wrote the initial version of this and needs to use it in bug 1210586 - your call!</Description></bugID>